{
  "compilerOptions": {
    "target": "ESNext", // 目标语言版本
    "module": "ESNext", // 生成代码的模板标准
    "moduleResolution": "Node", // Node模块解析
    "strict": true, // 启用严格模式
    "jsx": "react-jsx", // jsx模板解析
    // 引用的库
    "lib": [
      "DOM",
      "ESNext"
    ],
    // 类型声明
    "types": [
      "vite/client"
    ],
    "esModuleInterop": true, // 通过为所有导入模块创建命名空间对象
    "resolveJsonModule": true, // 允许导入.json文件
    "baseUrl": "./", // 解析非相对模块的根地址
    "paths": {
      "@/*": [
        "src/*"
      ],
    }
  },
  // 指定匹配列表
  "include": [
    "src",
    "vite.config.ts"
  ],
  // 忽略文件列表
  "exclude": [
    "node_modules",
    "build"
  ]
}